For the complete documentation index, see llms.txt. This page is also available as Markdown.

SetCardPIN

The "SetCardPIN" endpoint allows customers to set the PIN for a card, or have one auto-generated.

PUT /api/Card/v{{version}}/Providus/SetCardPIN

Provide the cardId of the card, and a pin , or pass pin as null to have the system auto-generate one.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required/Optional
Description

cardId

string

The cardId field from the SearchCards endpoint response.

pin

string

The PIN to set for the card. Pass as null to have the system auto-generate a PIN.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseUrl}}/api/Card/v{{version}}/Providus/SetCardPIN' \
--header 'Content-Type: application/json' \
--data '{
  //"cardRecordId": "b6adc86a-750d-436a-9625-b35400c5ed58" //Id field in the SearchCards endpoint response
  "cardId":"76b0c321-9376-4bde-b4e6-f4740189ed40", //cardId field in the SearchCards endpoint response,
  "pin" : null //if set as null, the system will auto generate a PIN
}'
Response: 200
{
  "status": true,
  "message": "Request successful",
  "data": {
    "responseCode": "00",
    "responseMessage": "Request successful",
    "pin": "1111"
  }
}

Last updated